com.unitech.lib.types

## Enum ParamType

- java.lang.Object
- - java.lang.Enum<ParamType>
  - - com.unitech.lib.types.ParamType

- All Implemented Interfaces:
    IEnumType, Serializable, Comparable<ParamType>

      public enum ParamType
      extends Enum<ParamType>
      implements IEnumType

  The ParamType enum represents different types of parameters. Each parameter type is associated with a unique integer value and a descriptive string message. The enum also provides methods to get the integer value and string message of a parameter type, and to get an array containing the names of the parameter types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `device`
    `engine`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Gets the integer value of the parameter type.
    `static String[]` | `names()` Returns an array containing the names of the parameter type constants.
    `String` | `toString()` Returns the string message of the parameter type.
    `static ParamType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ParamType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### device

          public static final ParamType device

    - #### engine

          public static final ParamType engine

  - ### Method Detail

    - #### values

          public static ParamType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParamType c : ParamType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParamType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Gets the integer value of the parameter type.
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The integer value of the parameter type.

    - #### toString

          public String toString()

      Returns the string message of the parameter type.
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `Enum<ParamType>`
      Returns:
        The string message of the parameter type.

    - #### names

          public static String[] names()

      Returns an array containing the names of the parameter type constants.
      Returns:
        An array containing the names of the parameter type constants.